import "@dataplan/pg/adaptors/node-postgres";
import type { WithPgClient } from "@dataplan/pg";
import type { ServerParams } from "./interfaces.js";
declare global {
    namespace GraphileBuild {
        interface GraphileResolverContext {
            pgSettings: {
                [key: string]: string;
            } | null;
            withPgClient: WithPgClient;
        }
    }
}
export declare function makePgSources(connectionString?: string, schemas?: string | string[]): ReadonlyArray<GraphileConfig.PgDatabaseConfiguration>;
/**
 * Builds the GraphQL schema by resolving the preset, running inflection then
 * gather and building the schema. Returns the results.
 *
 * @experimental
 */
export declare function makeSchema(preset: GraphileConfig.Preset): Promise<ServerParams>;
/**
 * Runs the "gather" phase in watch mode and calls 'callback' with the
 * generated ServerParams each time a new schema is generated.
 *
 * It is guaranteed that `callback` will be called at least once before the
 * promise resolves.
 *
 * Returns a function that can be called to stop watching.
 *
 * @experimental
 */
export declare function watchSchema(preset: GraphileConfig.Preset, callback: (error: Error | null, params?: ServerParams) => void): Promise<() => void>;
//# sourceMappingURL=schema.d.ts.map